Package org.apache.synapse.transport.passthru.core.ssl

# Class MultiListenerSSLServerIODispatch

java.lang.Object
org.apache.http.impl.nio.reactor.AbstractIODispatch<org.apache.http.impl.nio.DefaultNHttpServerConnection>
org.apache.synapse.transport.passthru.ServerIODispatch
org.apache.synapse.transport.passthru.core.MultiListenerServerIODispatch
org.apache.synapse.transport.passthru.core.ssl.MultiListenerSSLServerIODispatch

All Implemented Interfaces:
  `org.apache.http.nio.reactor.IOEventDispatch`

public class MultiListenerSSLServerIODispatch extends MultiListenerServerIODispatch

- ## Field Summary

  ### Fields inherited from interface org.apache.http.nio.reactor.IOEventDispatch

  `CONNECTION_KEY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MultiListenerSSLServerIODispatch(Map<Integer,org.apache.http.nio.NHttpServerEventHandler> handlers, org.apache.http.nio.NHttpServerEventHandler nHttpServerEventHandler, Map<Integer,ServerConnFactory> endpointSSLConfigHolder)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected org.apache.http.impl.nio.DefaultNHttpServerConnection`
  `createConnection(org.apache.http.nio.reactor.IOSession session)`
  `void`
  `update(ServerConnFactory connFactory)`

  ### Methods inherited from class org.apache.synapse.transport.passthru.core.MultiListenerServerIODispatch

  `onClosed, onConnected, onException, onInputReady, onOutputReady, onTimeout`

  ### Methods inherited from class org.apache.http.impl.nio.reactor.AbstractIODispatch

  `connected, disconnected, inputReady, outputReady, timeout`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MultiListenerSSLServerIODispatch

    public MultiListenerSSLServerIODispatch(Map<Integer,org.apache.http.nio.NHttpServerEventHandler> handlers, org.apache.http.nio.NHttpServerEventHandler nHttpServerEventHandler, Map<Integer,ServerConnFactory> endpointSSLConfigHolder)

- ## Method Details

  - ### update

    public void update(ServerConnFactory connFactory)
    Overrides:
      `update` in class `ServerIODispatch`

  - ### createConnection

    protected org.apache.http.impl.nio.DefaultNHttpServerConnection createConnection(org.apache.http.nio.reactor.IOSession session)
    Overrides:
      `createConnection` in class `ServerIODispatch`